Group: Video
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# Note: 2016-11-14-9481e7c283d3 is actually *older* than 2016-10-07-0b42d8e8b44e
%global date 2018-06-06
%global git c2b6af67f7d8

#WARNING: should be monotonically incremented
%global rel 9

# WARNING: You should probably never touch those fields
Version:	1
Name:		dtv-scan-tables
Summary:	Digital TV scan tables
Release:	alt1_%{rel}.%(echo %{date} | tr -d -)git%{git}.1

#2013-07-19: License discussed in: https://bugzilla.redhat.com/show_bug.cgi?id=986051#c4
License:	Public Domain
URL:		https://git.linuxtv.org/dtv-scan-tables.git
Source0:	https://linuxtv.org/downloads/dtv-scan-tables/dtv-scan-tables-%{date}-%{git}.tar.bz2
BuildArch:	noarch
BuildRequires:	ir-keytable v4l-utils
# FPC permission for Conflicts:
# https://lists.fedoraproject.org/pipermail/packaging/2013-July/009346.html
# https://fedorahosted.org/fpc/ticket/316
Conflicts:	dvb-apps linuxtv-dvb-apps
Source44: import.info

%description
This package contains digital TV scan tables that are used by TV applications
to scan for channels.

%package legacy
Group: Video
Summary:	Digital TV scan tables in the legacy DVBv3 format

%description legacy
This package contains digital TV scan tables that are used by TV applications
to scan for channels in the legacy DVBv3 format, compatible with the old
dvb-apps.

%prep
%setup -T -c
tar xf %{SOURCE0} --transform="s,/usr/share/dvb/,,"

%build
make dvbv3

%install
make DATADIR=%{buildroot}/%{_datadir} install install_v3

%files legacy
%doc --no-dereference COPYING COPYING.LGPL
%{_datadir}/dvbv3/

%files
%doc --no-dereference COPYING COPYING.LGPL
%{_datadir}/dvbv5/

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1-alt1_9.20180606gitc2b6af67f7d8.1
- update to new release by fcimport

* Mon Dec 17 2018 Igor Vlasenko <viy@altlinux.ru> 1-alt1_9.20180606gitc2b6af67f7d8
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1-alt1_8.20161007git0b42d8e8b44e
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 1-alt1_7.20161007git0b42d8e8b44e
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1-alt1_6.20161007git0b42d8e8b44e
- update to new release by fcimport

* Wed Oct 19 2016 Igor Vlasenko <viy@altlinux.ru> 1-alt1_5.20160731gitb00d55fab082
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 1-alt1_5.20160106git9d6094a7c41e
- update to new release by fcimport

* Fri Oct 23 2015 Igor Vlasenko <viy@altlinux.ru> 1-alt1_3.20140905git4aad313
- new version

